Package com.sun.jna.platform.win32

## Class OaIdl.PARAMDESCEX

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.PARAMDESCEX

Direct Known Subclasses:
  `OaIdl.PARAMDESCEX.ByReference`

Enclosing interface:
  OaIdl

    @FieldOrder({"cBytes","varDefaultValue"})
    public static class OaIdl.PARAMDESCEX
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.PARAMDESCEX.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.ULONG` `cBytes`
`Variant.VariantArg` `varDefaultValue`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`PARAMDESCEX()`
`PARAMDESCEX​(Pointer pointer)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cBytes

    public WinDef.ULONG cBytes

#### varDefaultValue

    public Variant.VariantArg varDefaultValue

### Constructor Detail

#### PARAMDESCEX

    public PARAMDESCEX()

#### PARAMDESCEX

    public PARAMDESCEX​(Pointer pointer)